# Uses of Interface
org.eclipse.search.ui.ISearchResultViewPart

Packages that use ISearchResultViewPart
Package
Description
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of ISearchResultViewPart in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return ISearchResultViewPart
Modifier and Type
Method
Description
`static ISearchResultViewPart`
NewSearchUI.`activateSearchResultView()`
Activates a search result view in the current workbench window page.
`static ISearchResultViewPart`
NewSearchUI.`getSearchResultView()`
Gets the search result view shown in the current workbench window.
Methods in org.eclipse.search.ui with parameters of type ISearchResultViewPart
Modifier and Type
Method
Description
`static void`
NewSearchUI.`runQueryInBackground(ISearchQuery query, ISearchResultViewPart view)`
Runs the given search query.
`static IStatus`
NewSearchUI.`runQueryInForeground(IRunnableContext context, ISearchQuery query, ISearchResultViewPart view)`
Runs the given search query.
`void`
ISearchResultPage.`setViewPart(ISearchResultViewPart part)`
Sets the search view this search results page is shown in.

## Uses of ISearchResultViewPart in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return ISearchResultViewPart
Modifier and Type
Method
Description
`protected ISearchResultViewPart`
AbstractTextSearchViewPage.`getViewPart()`
Returns the view part set with `setViewPart(ISearchResultViewPart)`.
Methods in org.eclipse.search.ui.text with parameters of type ISearchResultViewPart
Modifier and Type
Method
Description
`void`
AbstractTextSearchViewPage.`setViewPart(ISearchResultViewPart part)`
Sets the view part